org.apache.jmeter.protocol.jms.sampler

## Enum JMSSampler.COMMUNICATION_STYLE

- java.lang.Object
- - java.lang.Enum<JMSSampler.COMMUNICATION_STYLE>
  - - org.apache.jmeter.protocol.jms.sampler.JMSSampler.COMMUNICATION_STYLE

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<JMSSampler.COMMUNICATION_STYLE>
  Enclosing class:
    JMSSampler

      public static enum JMSSampler.COMMUNICATION_STYLE
      extends java.lang.Enum<JMSSampler.COMMUNICATION_STYLE>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `BROWSE`
    `CLEAR`
    `ONE_WAY`
    `READ`
    `REQUEST_REPLY`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getValue()`
    `static JMSSampler.COMMUNICATION_STYLE` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static JMSSampler.COMMUNICATION_STYLE[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### ONE_WAY

          public static final JMSSampler.COMMUNICATION_STYLE ONE_WAY

    - #### REQUEST_REPLY

          public static final JMSSampler.COMMUNICATION_STYLE REQUEST_REPLY

    - #### READ

          public static final JMSSampler.COMMUNICATION_STYLE READ

    - #### BROWSE

          public static final JMSSampler.COMMUNICATION_STYLE BROWSE

    - #### CLEAR

          public static final JMSSampler.COMMUNICATION_STYLE CLEAR

  - ### Method Detail

    - #### values

          public static JMSSampler.COMMUNICATION_STYLE[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (JMSSampler.COMMUNICATION_STYLE c : JMSSampler.COMMUNICATION_STYLE.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static JMSSampler.COMMUNICATION_STYLE valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### getValue

          public int getValue()

Copyright © 1998-2019 Apache Software Foundation. All Rights Reserved.